optparse

Parse and process command-line options

$ luarocks install optparse

Automatically generate a custom command-line option parser from
just the long-form help text for your program.

Versions

1.4-12 years ago8,989 downloads
1.3-13 years ago2,128 downloads
1.2-14 years ago2,004 downloads
1.1.1-15 years ago5,536 downloads
1.1-15 years ago384 downloads
1.0.1-15 years ago354 downloads
1.0-15 years ago69 downloads

Dependencies

lua >= 5.1, < 5.5

Dependency for

lcmark, luapak, specl, tulip, tulip-cli

Labels

Manifests